=== modified file 'drizzled/charset_info.h'
--- drizzled/charset_info.h	2011-03-28 02:46:21 +0000
+++ drizzled/charset_info.h	2011-04-16 12:24:04 +0000
@@ -643,8 +643,6 @@
 void my_hash_sort_8bit_bin(const charset_info_st * const,
                            const unsigned char *key, size_t len,
                            uint32_t *nr1, uint32_t *nr2);
-bool my_coll_init_8bit_bin(charset_info_st *cs,
-                           cs_alloc_func);
 int my_strnncoll_binary(const charset_info_st * const,
                         const unsigned char *s, size_t slen,
                         const unsigned char *t, size_t tlen,

=== modified file 'drizzled/ctype-bin.cc'
--- drizzled/ctype-bin.cc	2011-03-28 02:46:21 +0000
+++ drizzled/ctype-bin.cc	2011-04-16 12:24:04 +0000
@@ -80,13 +80,6 @@
 };
 
 
-bool my_coll_init_8bit_bin(charset_info_st *cs,
-                           cs_alloc_func)
-{
-  cs->max_sort_char=255;
-  return false;
-}
-
 int my_strnncoll_binary(const charset_info_st * const,
                         const unsigned char *s, size_t slen,
                         const unsigned char *t, size_t tlen,

=== modified file 'drizzled/dynamic_array.cc'
--- drizzled/dynamic_array.cc	2011-03-06 18:20:11 +0000
+++ drizzled/dynamic_array.cc	2011-04-16 12:24:04 +0000
@@ -155,27 +155,6 @@
   return array->buffer + ((array->size() - 1) * array->size_of_element);
 }
 
-
-/*
-  Pop last element from array.
-
-  SYNOPSIS
-    pop_dynamic()
-      array
-
-  RETURN VALUE
-    pointer	Ok
-    0		Array is empty
-*/
-
-unsigned char *pop_dynamic(DYNAMIC_ARRAY *array)
-{
-  if (!array->size())
-    return 0;
-  array->set_size(array->size() - 1);
-  return array->buffer+(array->size() * array->size_of_element);
-}
-
 /*
   Empty array by freeing all memory
 

=== modified file 'drizzled/lex_input_stream.h'
--- drizzled/lex_input_stream.h	2011-03-14 05:40:28 +0000
+++ drizzled/lex_input_stream.h	2011-04-16 13:00:30 +0000
@@ -33,14 +33,12 @@
   should be seen once out-of-bound data is removed.
 */
 
-namespace drizzled
-{
+namespace drizzled {
 
 class Lex_input_stream
 {
 public:
   Lex_input_stream(Session *session, const char* buff, unsigned int length);
-  ~Lex_input_stream();
 
   /**
     Set the echo mode.
@@ -267,7 +265,6 @@
     return m_body_utf8_ptr - m_body_utf8;
   }
 
-  void body_utf8_start(Session *session, const char *begin_ptr);
   void body_utf8_append(const char *ptr);
   void body_utf8_append(const char *ptr, const char *end_ptr);
   void body_utf8_append_literal(const LEX_STRING *txt,

=== modified file 'drizzled/my_hash.cc'
--- drizzled/my_hash.cc	2011-03-28 02:46:21 +0000
+++ drizzled/my_hash.cc	2011-04-16 12:24:04 +0000
@@ -424,99 +424,6 @@
   return(0);
 }
 
-
-/******************************************************************************
- ** Remove one record from hash-table. The record with the same record
- ** ptr is removed.
- ** if there is a free-function it's called for record if found
- *****************************************************************************/
-
-bool hash_delete(HASH *hash,unsigned char *record)
-{
-  uint32_t blength,pos2,pos_hashnr,lastpos_hashnr,idx,empty_index;
-  HASH_LINK *data,*lastpos,*gpos,*pos,*pos3,*empty;
-  if (!hash->records)
-    return(1);
-
-  blength=hash->blength;
-  data=dynamic_element(&hash->array,0,HASH_LINK*);
-  /* Search after record with key */
-  pos=data+ hash_mask(rec_hashnr(hash,record),blength,hash->records);
-  gpos = 0;
-
-  while (pos->data != record)
-  {
-    gpos=pos;
-    if (pos->next == NO_RECORD)
-      /* Key not found */
-      return(1);
-
-    pos=data+pos->next;
-  }
-
-  if ( --(hash->records) < hash->blength >> 1) hash->blength>>=1;
-  lastpos=data+hash->records;
-
-  /* Remove link to record */
-  empty=pos; empty_index=(uint32_t) (empty-data);
-  if (gpos)
-    /* unlink current ptr */
-    gpos->next=pos->next;
-  else if (pos->next != NO_RECORD)
-  {
-    empty=data+(empty_index=pos->next);
-    pos->data=empty->data;
-    pos->next=empty->next;
-  }
-
-  /* last key at wrong pos or no next link */
-  if (empty == lastpos)
-    goto exit;
-
-  /* Move the last key (lastpos) */
-  lastpos_hashnr=rec_hashnr(hash,lastpos->data);
-  /* pos is where lastpos should be */
-  pos=data+hash_mask(lastpos_hashnr,hash->blength,hash->records);
-  /* Move to empty position. */
-  if (pos == empty)
-  {
-    empty[0]=lastpos[0];
-    goto exit;
-  }
-  pos_hashnr=rec_hashnr(hash,pos->data);
-  /* pos3 is where the pos should be */
-  pos3= data+hash_mask(pos_hashnr,hash->blength,hash->records);
-  if (pos != pos3)
-  {					/* pos is on wrong posit */
-    empty[0]=pos[0];			/* Save it here */
-    pos[0]=lastpos[0];			/* This should be here */
-    movelink(data,(uint32_t) (pos-data),(uint32_t) (pos3-data),empty_index);
-    goto exit;
-  }
-  pos2= hash_mask(lastpos_hashnr,blength,hash->records+1);
-  if (pos2 == hash_mask(pos_hashnr,blength,hash->records+1))
-  {					/* Identical key-positions */
-    if (pos2 != hash->records)
-    {
-      empty[0]=lastpos[0];
-      movelink(data,(uint32_t) (lastpos-data),(uint32_t) (pos-data),empty_index);
-      goto exit;
-    }
-    idx= (uint32_t) (pos-data);		/* Link pos->next after lastpos */
-  }
-  else idx= NO_RECORD;		/* Different positions merge */
-
-  empty[0]=lastpos[0];
-  movelink(data,idx,empty_index,pos->next);
-  pos->next=empty_index;
-
-exit:
-  pop_dynamic(&hash->array);
-  if (hash->free)
-    (*hash->free)((unsigned char*) record);
-  return(0);
-}
-
 unsigned char *hash_element(HASH *hash,uint32_t idx)
 {
   if (idx < hash->records)

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2011-03-28 02:46:21 +0000
+++ drizzled/sql_lex.cc	2011-04-16 13:00:30 +0000
@@ -108,36 +108,6 @@
   m_cpp_ptr= m_cpp_buf;
 }
 
-Lex_input_stream::~Lex_input_stream()
-{}
-
-/**
-  The operation is called from the parser in order to
-  1) designate the intention to have utf8 body;
-  1) Indicate to the lexer that we will need a utf8 representation of this
-     statement;
-  2) Determine the beginning of the body.
-
-  @param session        Thread context.
-  @param begin_ptr  Pointer to the start of the body in the pre-processed
-                    buffer.
-*/
-void Lex_input_stream::body_utf8_start(Session *session, const char *begin_ptr)
-{
-  assert(begin_ptr);
-  assert(m_cpp_buf <= begin_ptr && begin_ptr <= m_cpp_buf + m_buf_length);
-
-  uint32_t body_utf8_length=
-    (m_buf_length / default_charset_info->mbminlen) *
-    my_charset_utf8_bin.mbmaxlen;
-
-  m_body_utf8= (char *) session->getMemRoot()->allocate(body_utf8_length + 1);
-  m_body_utf8_ptr= m_body_utf8;
-  *m_body_utf8_ptr= 0;
-
-  m_cpp_utf8_processed_ptr= begin_ptr;
-}
-
 /**
   @brief The operation appends unprocessed part of pre-processed buffer till
   the given pointer (ptr) and sets m_cpp_utf8_processed_ptr to end_ptr.
@@ -333,12 +303,6 @@
   return 0;
 }
 
-bool is_lex_native_function(const LEX_STRING *name)
-{
-  assert(name != NULL);
-  return (lookup_symbol(name->str, name->length, 1) != 0);
-}
-
 /* make a copy of token before ptr and set yytoklen */
 static LEX_STRING get_token(Lex_input_stream *lip, uint32_t skip, uint32_t length)
 {
@@ -1303,29 +1267,6 @@
   }
 }
 
-void trim_whitespace(const charset_info_st * const cs, LEX_STRING *str)
-{
-  /*
-    TODO:
-    This code assumes that there are no multi-bytes characters
-    that can be considered white-space.
-  */
-  while ((str->length > 0) && (my_isspace(cs, str->str[0])))
-  {
-    str->length--;
-    str->str++;
-  }
-
-  /*
-    FIXME:
-    Also, parsing backward is not safe with multi bytes characters
-  */
-  while ((str->length > 0) && (my_isspace(cs, str->str[str->length-1])))
-  {
-    str->length--;
-  }
-}
-
 /*
   Select_Lex structures initialisations
 */
@@ -2174,16 +2115,6 @@
   index_hints->push_front(new (session->mem_root) Index_hint(current_index_hint_type, current_index_hint_clause, str, length));
 }
 
-bool check_for_sql_keyword(drizzled::lex_string_t const& string)
-{
-  return sql_reserved_words::in_word_set(string.str, string.length);
-}
-
-bool check_for_sql_keyword(drizzled::st_lex_symbol const& string)
-{
-  return sql_reserved_words::in_word_set(string.str, string.length);
-}
-
 message::AlterTable *LEX::alter_table()
 {
   if (not _alter_table)

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2011-03-29 12:45:08 +0000
+++ drizzled/sql_lex.h	2011-04-16 13:00:30 +0000
@@ -1019,11 +1019,6 @@
 };
 
 extern void lex_start(Session *session);
-extern void trim_whitespace(const charset_info_st * const cs, LEX_STRING *str);
-extern bool is_lex_native_function(const LEX_STRING *name);
-
-bool check_for_sql_keyword(drizzled::st_lex_symbol const&);
-bool check_for_sql_keyword(drizzled::lex_string_t const&);
 
 /**
   @} (End of group Semantic_Analysis)

=== modified file 'drizzled/tztime.cc'
--- drizzled/tztime.cc	2011-03-19 17:01:16 +0000
+++ drizzled/tztime.cc	2011-04-16 13:00:30 +0000
@@ -47,50 +47,12 @@
 class Time_zone_system : public Time_zone
 {
 public:
-  Time_zone_system() {}                       /* Remove gcc warning */
-  virtual type::Time::epoch_t TIME_to_gmt_sec(const type::Time &t,
-                                              bool *in_dst_time_gap) const;
   virtual void gmt_sec_to_TIME(type::Time &tmp, type::Time::epoch_t t) const;
-  virtual const String * get_name() const;
 };
 
 
 /**
  * @brief
- * Converts local time in system time zone in type::Time representation
- * to its type::Time::epoch_t representation.
- *
- * @details
- * This method uses system function (localtime_r()) for conversion
- * local time in system time zone in type::Time structure to its type::Time::epoch_t
- * representation. Unlike the same function for Time_zone_db class
- * it it won't handle unnormalized input properly. Still it will
- * return lowest possible type::Time::epoch_t in case of ambiguity or if we
- * provide time corresponding to the time-gap.
- *
- * You should call init_time() function before using this function.
- *
- * @param   t               pointer to type::Time structure with local time in
- *                          broken-down representation.
- * @param   in_dst_time_gap pointer to bool which is set to true if datetime
- *                          value passed doesn't really exist (i.e. falls into
- *                          spring time-gap) and is not touched otherwise.
- *
- * @return
- * Corresponding type::Time::epoch_t value or 0 in case of error
- */
-type::Time::epoch_t
-Time_zone_system::TIME_to_gmt_sec(const type::Time &t, bool *in_dst_time_gap) const
-{
-  long not_used;
-  type::Time::epoch_t tmp;
-  t.convert(tmp, &not_used, in_dst_time_gap);
-  return tmp;
-}
-
-
-/**
- * @brief
  * Converts time from UTC seconds since Epoch (type::Time::epoch_t) representation
  * to system local time zone broken-down representation.
  *
@@ -110,19 +72,6 @@
 }
 
 
-/**
- * @brief
- * Get name of time zone
- *
- * @return
- * Name of time zone as String
- */
-const String *
-Time_zone_system::get_name() const
-{
-  return &tz_SYSTEM_name;
-}
-
 static Time_zone_system tz_SYSTEM;
 
 Time_zone *my_tz_SYSTEM= &tz_SYSTEM;

=== modified file 'drizzled/tztime.h'
--- drizzled/tztime.h	2011-03-29 10:15:45 +0000
+++ drizzled/tztime.h	2011-04-16 13:00:30 +0000
@@ -34,15 +34,6 @@
 class Time_zone: public memory::SqlAlloc
 {
 public:
-  Time_zone() {}                              /* Remove gcc warning */
-  /**
-    Converts local time in broken down type::Time representation to
-    type::Time::epoch_t (UTC seconds since Epoch) represenation.
-    Returns 0 in case of error. Sets in_dst_time_gap to true if date provided
-    falls into spring time-gap (or lefts it untouched otherwise).
-  */
-  virtual type::Time::epoch_t TIME_to_gmt_sec(const type::Time &t,
-                                              bool *in_dst_time_gap) const = 0;
   /**
     Converts time in type::Time::epoch_t representation to local time in
     broken down type::Time representation.
@@ -50,13 +41,6 @@
   virtual void gmt_sec_to_TIME(type::Time &tmp, type::Time::epoch_t t) const = 0;
 
   /**
-    Because of constness of String returned by get_name() time zone name
-    have to be already zeroended to be able to use String::ptr() instead
-    of c_ptr().
-  */
-  virtual const String * get_name() const = 0;
-
-  /**
     We need this only for surpressing warnings, objects of this type are
     allocated on memory::Root and should not require destruction.
   */

